MACximize Consulting

Contact info@MACximizeConsulting.com or call 212-330-6789

From the NYTimes: With Claims of C.I.A. Hacking, How to Protect Your Devices


With this week’s revelation that our devices may be insecure, I would like to recommend reading this NYTimes article. NYT: How to Protect Your Devices

Here are some highlights:

For iPhone and iPad users: Make sure to be running the latest operating system, iOS 10. Apple said on Tuesday that many of the security issues described in the WikiLeaks documents had already been patched in the latest version of its software and that it was working to address remaining vulnerabilities.

Not all Apple devices can get the latest operating system. Apple’s iOS 10 is compatible with iPhones as far back as the iPhone 5 released in 2012, and with iPads as old as the iPad Air and iPad Mini 2 released in 2013. If you are using anything older than those, it’s a good time to buy a new device for the stronger security.

For Routers: It is wise for everyone to regularly check routers for so-called firmware updates to make sure they get the latest security enhancements. Have MACximize download and install the latest firmware.

For Apple computers: Have MACximize install the latest operating system updates … And as always, stay on guard for suspicious websites that may be serving malware.

And as always, please call MACximize to help you protect and MACximize Your Macs!

Comments are closed.